Summary: Advanced Linux Sound Architecture (ALSA) utilities
Name:    alsa-utils
Version: 0.9.6
Release: 3mdk
Source:  ftp://ftp.alsa-project.org/pub/utils/%name-%version.tar.bz2
Source1: alsaconf.bz2
Source2: alsaconf.8.bz2
License: GPL
BuildRoot: %_tmppath/%name-buildroot
Group: Sound
Url:   http://www.alsa-project.org

Requires: kernel >= 2.4.18
Requires: libalsa >= %version-0.6
BuildRequires: kernel-headers >= 2.4.0
BuildRequires: libalsa-devel >= %version
BuildRequires: ncurses-devel
Requires: pciutils

%description
Advanced Linux Sound Architecture (ALSA) utilities. Modularized architecture
with support for a large range of ISA and PCI cards. Fully compatible with
OSS/Lite (kernel sound drivers), but contains many enhanced features.

This is the utilities package, which allows you to manipulate ALSA settings.

%prep
%setup -q

%build
%configure2_5x
make all

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
# install alsaconf:
mkdir -p $RPM_BUILD_ROOT%_mandir/man8/
bzcat %SOURCE2 > $RPM_BUILD_ROOT%_mandir/man8/alsaconf.8
bzcat %SOURCE1 > $RPM_BUILD_ROOT%_sbindir/alsaconf
chmod 755 $RPM_BUILD_ROOT%_sbindir/alsaconf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc [A-Z][A-Z]*
%_bindir/*
%_sbindir/*
%_mandir/man1/*
%_mandir/man8/*

%changelog
* Thu Sep 18 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.6-3mdk
- require lspci for alsaconf (#5686)
- fix deps for 64bits ports (Gwenole)

* Mon Sep 08 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.6-2mdk
- add alsaconf

* Thu Jul 10 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.5-1mdk
- new release

* Tue Apr 01 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.2-1mdk
- new release

* Thu Feb 13 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.8rc7mdk
- rc7

* Mon Dec 16 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.7rc2mdk
- remove deprecated changelog

* Thu Jul 18 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.6rc2mdk
- ALSA 0.9.0 RC 2

* Tue Jul 16 2002 Stefan van der Eijk <stefan@eijk.nu> 0.9.0-0.5rc1mdk
- BuildRequires

* Fri Apr 26 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.4rc1mdk
- remove useless mkdir
- sound group

* Wed Apr 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.3rc1mdk
- release candidate 1

* Fri Apr 19 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.2beta12mdk
- add alsactl (%%sbindir/*)

* Thu Apr 18 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.1beta12mdk
- initial release
